Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 604864 - sys-fs/eudev-3.2.1: error: conflicting types for ‘keyboard_lookup_key’
Summary: sys-fs/eudev-3.2.1: error: conflicting types for ‘keyboard_lookup_key’
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: eudev team
URL:
Whiteboard:
Keywords:
Depends on: 645280
Blocks: gperf-3.1
  Show dependency tree
 
Reported: 2017-01-06 19:38 UTC by Thomas Deutschmann
Modified: 2018-09-16 12:03 UTC (History)
10 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,85.13 KB, text/plain)
2017-01-06 19:38 UTC, Thomas Deutschmann
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Deutschmann gentoo-dev Security 2017-01-06 19:38:38 UTC
Created attachment 458974 [details]
build.log

In file included from /var/tmp/portage/sys-fs/eudev-3.2.1/work/eudev-3.2.1/src/udev/udev-builtin-keyboard.c:32:0:
./keyboard-keys-from-name.h:117:1: error: conflicting types for ‘keyboard_lookup_key’
 keyboard_lookup_key (register const char *str, register size_t len)
 ^
/var/tmp/portage/sys-fs/eudev-3.2.1/work/eudev-3.2.1/src/udev/udev-builtin-keyboard.c:31:26: note: previous declaration of ‘keyboard_lookup_key’ was here
 static const struct key *keyboard_lookup_key(const char *str, unsigned len);
                          ^
make[4]: *** [Makefile:813: libudev_core_la-udev-builtin-keyboard.lo] Error 1
make[4]: Leaving directory '/var/tmp/portage/sys-fs/eudev-3.2.1/work/eudev-3.2.1-abi_x86_64.amd64/src/udev'
make[3]: *** [Makefile:500: all] Error 2
make[3]: Leaving directory '/var/tmp/portage/sys-fs/eudev-3.2.1/work/eudev-3.2.1-abi_x86_64.amd64/src/udev'
make[2]: *** [Makefile:394: all-recursive] Error 1
make[2]: Leaving directory '/var/tmp/portage/sys-fs/eudev-3.2.1/work/eudev-3.2.1-abi_x86_64.amd64/src'
make[1]: *** [Makefile:446: all-recursive] Error 1
make[1]: Leaving directory '/var/tmp/portage/sys-fs/eudev-3.2.1/work/eudev-3.2.1-abi_x86_64.amd64'
make: *** [Makefile:378: all] Error 2



# emerge --info
Portage 2.3.3 (python 3.5.2-final-0, default/linux/amd64/13.0, gcc-5.4.0, glibc-2.23-r3, 4.4.39-gentoo x86_64)
=================================================================
System uname: Linux-4.4.39-gentoo-x86_64-Intel-R-_Core-TM-_i7-3770K_CPU_@_3.50GHz-with-gentoo-2.3
KiB Mem:     3053692 total,   1205876 free
KiB Swap:    1048572 total,   1048376 free
Timestamp of repository gentoo: Fri, 06 Jan 2017 14:45:01 +0000
sh bash 4.4_p5-r1
ld GNU ld (Gentoo 2.27 p1.0) 2.27
app-shells/bash:          4.4_p5-r1::gentoo
dev-lang/perl:            5.24.1_rc4::gentoo
dev-lang/python:          2.7.12::gentoo, 3.5.2::gentoo
dev-util/cmake:           3.7.1::gentoo
dev-util/pkgconfig:       0.29.1::gentoo
sys-apps/baselayout:      2.3::gentoo
sys-apps/openrc:          0.23.1::gentoo
sys-apps/sandbox:         2.10-r3::gentoo
sys-devel/autoconf:       2.69-r2::gentoo
sys-devel/automake:       1.13.4-r1::gentoo, 1.14.1-r1::gentoo, 1.15-r2::gentoo
sys-devel/binutils:       2.27::gentoo
sys-devel/gcc:            5.4.0::gentoo
sys-devel/gcc-config:     1.8-r1::gentoo
sys-devel/libtool:        2.4.6-r2::gentoo
sys-devel/make:           4.2.1::gentoo
sys-kernel/linux-headers: 4.4::gentoo (virtual/os-headers)
sys-libs/glibc:           2.23-r3::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.de.gentoo.org/gentoo-portage/
    priority: -1000

ABI="amd64"
ABI_X86="64"
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA"
ACCEPT_PROPERTIES="*"
ACCEPT_RESTRICT="*"
ARCH="amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -march=ivybridge -mtune=ivybridge"
CFLAGS_amd64="-m64"
CFLAGS_x32="-mx32"
CFLAGS_x86="-m32"
CHOST="x86_64-pc-linux-gnu"
CHOST_amd64="x86_64-pc-linux-gnu"
CHOST_x32="x86_64-pc-linux-gnux32"
CHOST_x86="i686-pc-linux-gnu"
COLLISION_IGNORE="/lib/modules/* *.py[co] *$py.class */dropin.cache"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt"
CPU_FLAGS_X86="aes avx mmx mmxext popcnt sse sse2 sse3 sse4_1 sse4_2 ssse3"
CXXFLAGS="-O2 -pipe -march=ivybridge -mtune=ivybridge"
DEFAULT_ABI="amd64"
EDITOR="/bin/nano"
ELIBC="glibc"
EPREFIX=""
EROOT="/"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs cgroup config-protect-if-modified distlocks downgrade-backup ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GCC_SPECS=""
GRUB_PLATFORMS=""
GUILE_LOAD_PATH="/usr/share/guile/2.0"
HOME="/root"
INFOPATH="/usr/share/info:/usr/share/gcc-data/x86_64-pc-linux-gnu/5.4.0/info:/usr/share/binutils-data/x86_64-pc-linux-gnu/2.27/info"
INPUT_DEVICES="keyboard mouse evdev"
IUSE_IMPLICIT="abi_x86_64 prefix prefix-guest"
KERNEL="linux"
L10N="en en-US de de-DE"
LANG="en_US.UTF-8"
LC_MESSAGES="C"
LC_NUMERIC="de_DE.UTF-8"
LC_PAPER="de_DE.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LDFLAGS_amd64="-m elf_x86_64"
LDFLAGS_x32="-m elf32_x86_64"
LDFLAGS_x86="-m elf_i386"
LIBDIR_amd64="lib64"
LIBDIR_amd64_fbsd="lib64"
LIBDIR_arm="lib"
LIBDIR_arm64="lib64"
LIBDIR_n32="lib32"
LIBDIR_n64="lib64"
LIBDIR_o32="lib"
LIBDIR_ppc="lib32"
LIBDIR_ppc64="lib64"
LIBDIR_s390="lib32"
LIBDIR_s390x="lib64"
LIBDIR_sparc32="lib32"
LIBDIR_sparc64="lib64"
LIBDIR_x32="libx32"
LIBDIR_x86="lib32"
LIBDIR_x86_fbsd="lib32"
LINGUAS="en de"
LOGNAME="root"
MAIL="/var/mail/root"
MAKEOPTS="--jobs 9 --load-average 7.95"
MULTILIB_ABIS="amd64 x86"
NOCOLOR="true"
OFFICE_IMPLEMENTATION="libreoffice"
OLDPWD="/root"
PAGER="/usr/bin/less"
PATH="/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/opt/bin:/usr/x86_64-pc-linux-gnu/gcc-bin/5.4.0"
PHP_TARGETS="php5-6"
PWD="/usr/portage/sys-fs/eudev"
PYTHONDONTWRITEBYTECODE="1"
PYTHON_SINGLE_TARGET="python2_7"
PYTHON_TARGETS="python2_7 python3_5"
ROOT="/"
ROOTPATH="/opt/bin:/usr/x86_64-pc-linux-gnu/gcc-bin/5.4.0"
RUBY_TARGETS="ruby21"
SHELL="/bin/bash"
SHLVL="2"
SSH_TTY="/dev/pts/0"
SYMLINK_LIB="yes"
TERM="screen"
TMUX="/tmp/tmux-0/default,5396,0"
TMUX_PANE="%1"
USER="root"
USERLAND="GNU"
VIDEO_CARDS="intel"
Comment 1 Anthony Basile gentoo-dev 2017-01-06 21:15:09 UTC
Yep, this is a known issue and I fixed it upstream:

https://github.com/gentoo/eudev/commit/5bab4d8de0dcbb8e2e7d4d5125b4aea1652a0d60

I also maintain gperf and should probably start a tracker for packages breaking against it.
Comment 2 Toralf Förster gentoo-dev 2017-01-18 13:05:00 UTC
(In reply to Anthony Basile from comment #1)
shouldn't this patch be landed in ./files too till upstream released a new version ?
Comment 3 Sergey 'L29Ah' Alirzaev 2017-02-01 13:00:30 UTC
Or at least the deps should be properly adjusted?
Comment 4 Christian 2017-02-13 16:59:47 UTC
any news? seems it is still not available via portage
Comment 5 Sarah Salzstein 2017-02-13 23:30:51 UTC
Hello,

I've the same problem. I can't compile eudev due to the error described above.
Comment 6 Michal Jakubowski 2017-02-14 17:39:24 UTC
The same.
Comment 7 Konstantin Germash 2017-02-14 20:24:41 UTC
You can look at this thread https://forums.gentoo.org/viewtopic-t-1057516.html for the patch. It works for me.
Comment 8 Michal Jakubowski 2017-02-14 22:44:14 UTC
(In reply to Konstantin Germash from comment #7)
> You can look at this thread
> https://forums.gentoo.org/viewtopic-t-1057516.html for the patch. It works
> for me.

Confirm, thx.
Comment 9 Patrick Lauer gentoo-dev 2017-02-18 08:09:19 UTC
3.2.1 has the gperf version restricted.
3.2.1-r1 carries the upstream patch and has gperf version restricted the other way.

Both versions build for me now.
Comment 10 Ben Kohler gentoo-dev 2018-01-21 14:33:37 UTC
This is unfixed now
Comment 11 Anthony Basile gentoo-dev 2018-01-21 15:05:50 UTC
(In reply to Ben Kohler from comment #10)
> This is unfixed now

can you be clearer.  what do you mean its unfixed.  can you tell me how to reproduce the error.  what version of eudev and gperf are you using?
Comment 12 Ben Kohler gentoo-dev 2018-01-21 15:17:35 UTC
Sorry yes that was very vague, eudev-3.1.5 won't build against gperf-3.1.  It's not unfixed per se but stable users are still in trouble.
Comment 13 Anthony Basile gentoo-dev 2018-01-21 16:09:38 UTC
(In reply to Ben Kohler from comment #12)
> Sorry yes that was very vague, eudev-3.1.5 won't build against gperf-3.1. 
> It's not unfixed per se but stable users are still in trouble.

oh okay, that makes me feel better - at least I understand what's going on.  We need to stabilize 3.2.5.
Comment 14 Matt Turner gentoo-dev 2018-05-11 02:09:45 UTC
(In reply to Anthony Basile from comment #13)
> (In reply to Ben Kohler from comment #12)
> > Sorry yes that was very vague, eudev-3.1.5 won't build against gperf-3.1. 
> > It's not unfixed per se but stable users are still in trouble.
> 
> oh okay, that makes me feel better - at least I understand what's going on. 
> We need to stabilize 3.2.5.

Now stable on all arches. Presumably this bug can be closed.
Comment 15 Anthony Basile gentoo-dev 2018-05-11 07:55:27 UTC
(In reply to Matt Turner from comment #14)
> (In reply to Anthony Basile from comment #13)
> > (In reply to Ben Kohler from comment #12)
> > > Sorry yes that was very vague, eudev-3.1.5 won't build against gperf-3.1. 
> > > It's not unfixed per se but stable users are still in trouble.
> > 
> > oh okay, that makes me feel better - at least I understand what's going on. 
> > We need to stabilize 3.2.5.
> 
> Now stable on all arches. Presumably this bug can be closed.

yep
Comment 16 Kent Fredric (IRC: kent\n) gentoo-dev 2018-09-15 15:11:39 UTC
Just bumping this bug to remind people to purge old affected versions :)

Regression testing 3.1.5 version for potential perl breakages still exhibits this bug.
Comment 17 Anthony Basile gentoo-dev 2018-09-16 12:03:45 UTC
(In reply to Kent Fredric (IRC: kent\n) from comment #16)
> Just bumping this bug to remind people to purge old affected versions :)
> 
> Regression testing 3.1.5 version for potential perl breakages still exhibits
> this bug.

i cleaned up